export type TCurrentContextSettings = {
    signInUrl?: string;
    needAuthorization?: boolean;
    skipAuthentication?: boolean;
    needSolution?: boolean;
    onSuccess?: any;
    onError?: any;
    context?: Record<string, any>;
    recordId?: string;
    needRecord?: string;
    recordIdByMembership?: string;
    needRecordByMembership?: string;
    apiUrl?: string;
    refresh?: string | number;
    componentName?: string;
};
export declare const useCurrentContext: (solution: Record<string, any>, settings?: TCurrentContextSettings) => Record<string, any>;
