"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var antd_1 = require("antd");
var css_1 = require("primeobjects-ui-web-store/build/cjs/css");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var slug_1 = require("primeobjects-helper-util/build/cjs/slug");
var colors_1 = require("primeobjects-helper-util/build/cjs/colors");
if ((0, core_1.libTrackIsOn)())
    console.log("Load Ant Radio.Group");
var RadioGroup = react_1.default.forwardRef(function (props, ref) {
    var color = props.color;
    var _a = (0, react_1.useState)(undefined), css = _a[0], setCss = _a[1];
    (0, react_1.useEffect)(function () {
        var className = "antd-radio-".concat((0, slug_1.slug)(color), "-css");
        setCss(color && {
            className: className,
            content: "\n                    .".concat(className, " .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled) {\n                        color: ").concat(color, " !important;\n                        background: #fff;\n                        border-color: ").concat(color, " !important;\n                    }\n\n                    .").concat(className, " .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled)::before\n                    {\n                        background-color: ").concat(color, " !important;\n                    }\n                    .ant-radio-button-wrapper {\n                        color: ").concat(colors_1.COLORS.GRAY["700"], ";\n                        outline: none !important;\n                        box-shadow: none !important;\n                    }\n                    .ant-radio-button-wrapper:hover {\n                        color: ").concat(colors_1.COLORS.GRAY["800"], ";\n                    }\n                ")
        });
    }, [color]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        css && color && react_1.default.createElement(css_1.CSS, { id: css.className, content: css.content }),
        react_1.default.createElement(antd_1.Radio.Group, __assign({ className: css ? css.className : "" }, props, { ref: ref }))));
});
RadioGroup.displayName = "RadioGroup";
exports.default = RadioGroup;
//# sourceMappingURL=radio-group.js.map