import React from "react";
import { TListPageProps } from "./list";
import { TNavItem } from "../sections/nav/types";
import { TListSectionProps } from "../sections/list";
import { TAppBasePageProps } from "../page/app-base";
import { TPageWrapperProps } from "./wrapper";
export type TListInfo = TNavItem & {
    entity?: Record<string, any>;
    sectionProps?: TListSectionProps;
};
export type TListPageWrapperProps = {
    listViewMaxWidth?: number;
    currentRecord?: Record<string, any>;
    defaultRecordId?: string;
    getForm: (TNavItem?: TNavItem, context?: Record<string, any>) => JSX.Element;
    getList: (list?: TListInfo, context?: Record<string, any>) => Record<string, any>;
    listChildren?: any;
    listAdjHeight?: number;
    onResizeWrapper?: (width: number, listPageProps?: TListPageProps) => void;
};
export declare const ListPageWrapper: (props: Record<string, any> & TListPageProps & TPageWrapperProps & TAppBasePageProps & TListPageWrapperProps) => React.JSX.Element;
export default ListPageWrapper;
