import React, { CSSProperties } from "react";
export type TSearchSectionProps = {
    onChange?: (search: string) => void;
    onSubmit?: (search: string) => void;
    placeholder?: string;
    inputClassName?: string;
    inputStyle?: CSSProperties;
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    hideSearchButton?: boolean;
    searching?: boolean;
    cancelSearch?: string | number;
};
export declare const SearchSection: (props: TSearchSectionProps) => React.JSX.Element;
export default SearchSection;
