import React, { CSSProperties } from "react";
import { TSiteBreadcrumbSectionItem } from "./site-breadcrumb";
export type TSiteHeaderSectionProps = {
    solution: Record<string, any>[];
    navigation?: Record<string, any>[];
    pages?: TSiteBreadcrumbSectionItem[];
    onClickLogo?: () => void;
    style?: CSSProperties;
    className?: string;
    siteName?: string;
    siteLogo?: string;
};
export declare const SiteHeaderSection: ((props: TSiteHeaderSectionProps) => React.JSX.Element) & {
    displayName: string;
};
export default SiteHeaderSection;
